跳轉到主要內容
GET
/
v2
/
token
/
{chain}
/
{tokenAddress}
/
topHolders
代幣 - 大戶
curl --request GET \
  --url https://api.chainstream.io/v2/token/{chain}/{tokenAddress}/topHolders \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "amount": "1000000000000000000",
      "amountInUsd": "1000000000000000000",
      "percentage": "100",
      "walletAddress": "0x1234567890abcdef"
    }
  ],
  "endCursor": "eyJpZCI6ImVuZCJ9",
  "hasNext": false,
  "hasPrev": false,
  "startCursor": "eyJpZCI6InN0YXJ0In0="
}

授權

Authorization
string
header
必填

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

路徑參數

chain
enum<string>
必填

支援網路列表中的鏈名稱 Supported blockchain chains

可用選項:
sol,
eth,
bsc
tokenAddress
string
必填

代幣地址

查詢參數

cursor
string

分頁游標

limit
integer<int64>
預設值:20

每頁回傳結果數量

direction
enum<string>
預設值:next

分頁方向(next 或 prev) Pagination direction

可用選項:
next,
prev

回應

200 - application/json

取得大戶

Generic pagination response

data
object[]
必填

Page data

endCursor
string | null

Cursor for the end of current page

範例:

"eyJpZCI6ImVuZCJ9"

hasNext
boolean

Whether there is a next page

範例:

false

hasPrev
boolean

Whether there is a previous page

範例:

false

startCursor
string | null

Cursor for the start of current page

範例:

"eyJpZCI6InN0YXJ0In0="